Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1730552 - rhpkg module-build-local failed with: AttributeError: 'ModuleStreamV2' object has no attribute 'dump'
Summary: rhpkg module-build-local failed with: AttributeError: 'ModuleStreamV2' object...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: module-build-service
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 06:27 UTC by Petr Pisar
Modified: 2019-07-20 03:46 UTC (History)
6 users (show)

Fixed In Version: module-build-service-2.25.0-2.fc30 module-build-service-2.25.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-19 01:10:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2019-07-17 06:27:42 UTC
Building a perl-bootstrap:5.30 module (available in 5.30 dist-git branch) locally:

$ LC_ALL=en_US.UTF-8 rhpkg module-build-local --set-default-stream platform:el8.1.0

failed, after building many pacakges, like this:

2019-07-16 16:56:24,673 - PoolThread-twisted.internet.reactor-0 - MBS.builder.MockModuleBuilder - DEBUG - Creating repository in /home/petr/modulebuild/builds/module-perl-bootstrap-5.30-8010020190716123837/results
2019-07-16 16:56:24,801 - PoolThread-twisted.internet.reactor-0 - MBS.builder.utils - INFO - Executing command: ['/usr/bin/createrepo_c', '--pkglist', '/home/petr/modulebuild/builds/module-perl-bootstrap-5.30-8010020190716123837/results/pkglist', '/home/petr/modulebuild/builds/module-perl-bootstrap-5.30-8010020190716123837/results']
Directory walk done - 441 packages
Temporary output repo path: /home/petr/modulebuild/builds/module-perl-bootstrap-5.30-8010020190716123837/results/.repodata/
Preparing sqlite DBs
Pool started (with 5 workers)
Pool finished
C_CREATEREPOLIB: Warning: Cannot parse repomd: /home/petr/modulebuild/builds/module-perl-bootstrap-5.30-8010020190716123837/results/repodata/repomd.xml
2019-07-16 16:56:25,163 - PoolThread-twisted.internet.reactor-0 - MBS.scheduler.consumer - ERROR - Could not process message handler. See the traceback.
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/module_build_service/scheduler/consumer.py", line 256, in process_message
    further_work = handler(conf, session, msg) or []
  File "/usr/lib/python3.7/site-packages/module_build_service/scheduler/handlers/repos.py", line 162, in done
    builder.finalize(succeeded=True)
  File "/usr/lib/python3.7/site-packages/module_build_service/builder/MockModuleBuilder.py", line 575, in finalize
    self._createrepo(include_module_yaml=True)
  File "/usr/lib/python3.7/site-packages/module_build_service/builder/MockModuleBuilder.py", line 234, in _createrepo
    m1_mmd.dump(mmd_path)
AttributeError: 'ModuleStreamV2' object has no attribute 'dump'
2019-07-16 16:56:25,171 - PoolThread-twisted.internet.reactor-0 - MBS.models - INFO - <ModuleBuild perl-bootstrap, id=2, stream=5.30, version=8010020190716123837, scratch=False, state 'failed', batch 9, state_reason "'ModuleStreamV2' object has no attribute 'dump'">, state 2->4
2019-07-16 16:56:25,215 - PoolThread-twisted.internet.reactor-0 - MBS.scheduler.consumer - DEBUG - Done with done: KojiRepoChange, a faked internal message
2019-07-16 16:56:25,218 - PoolThread-twisted.internet.reactor-0 - module_build_service.scheduler - DEBUG - stop_condition checking <ModuleBuild perl-bootstrap, id=2, stream=5.30, version=8010020190716123837, scratch=False, state 'failed', batch 9, state_reason "'ModuleStreamV2' object has no attribute 'dump'">, got True
2019-07-16 16:56:25,218 - PoolThread-twisted.internet.reactor-0 - MBS.scheduler.consumer - INFO - Scheduling shutdown.

I have module-build-service-2.24.0-1.fc29.noarch, createrepo_c-0.14.2-1.fc29.x86_64, python3-libmodulemd-2.6.0-1.fc29.x86_64.

Comment 1 Matt Prahl 2019-07-17 11:56:33 UTC
This should be resolved by this PR:
https://pagure.io/fm-orchestrator/pull-request/1332

There's still an outstanding comment to address in it. If it's not addressed soon, I'll file a separate PR to get this in the next release.

Comment 2 Fedora Update System 2019-07-17 14:34:09 UTC
FEDORA-2019-9f3ee19894 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f3ee19894

Comment 3 Fedora Update System 2019-07-17 15:03:23 UTC
FEDORA-2019-162bf5e65d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-162bf5e65d

Comment 4 Fedora Update System 2019-07-18 00:42:49 UTC
module-build-service-2.25.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-162bf5e65d

Comment 5 Fedora Update System 2019-07-18 03:35:58 UTC
module-build-service-2.25.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-36b93d7153

Comment 6 Fedora Update System 2019-07-19 01:10:56 UTC
module-build-service-2.25.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-07-20 03:46:56 UTC
module-build-service-2.25.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.